Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261638 - app-text/poppler should not hard-depend on app-text/poppler-data
Summary: app-text/poppler should not hard-depend on app-text/poppler-data
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Peter Alfredsen (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 264230
Blocks:
  Show dependency tree
 
Reported: 2009-03-08 02:26 UTC by Luke-Jr
Modified: 2009-04-27 21:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2009-03-08 02:26:50 UTC
This dependency breaks the ability to have a (reasonable) desktop PC using Free software. Older versions had a 'cjk' USE flag to control the dependency (which is only used for non-Latin non-embedded fonts). Peter Alfredsen removed the USE flag on Oct 8, 2008 "because all it does is pull in a data-package"-- hardly a valid reason, IMO.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-08 09:28:51 UTC
Reassigning to printing herd.
Comment 2 Luke-Jr 2009-03-31 00:38:17 UTC
I see no mention of poppler-data or its relationship in bug 264230.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-31 00:49:02 UTC
(In reply to comment #2)
> I see no mention of poppler-data or its relationship in bug 264230.

The split poppler packages will have a useflag for poppler-data.

Comment 4 Luke-Jr 2009-04-08 20:15:13 UTC
poppler-data should be *unset* by default. It's rare that anyone would need it.
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2009-04-08 20:51:18 UTC
Poppler is not fullfeatured without it. Default will continue to be +.
Comment 6 Luke-Jr 2009-04-08 21:36:06 UTC
By definition, no ebuild is full-featured without every USE flag enabled.
poppler-data provides no benefit whatsoever to the vast majority of users.
Comment 7 Peter Alfredsen (RETIRED) gentoo-dev 2009-04-27 21:34:33 UTC
Fixed in dev-libs/poppler.